*Replication Do File
*6-21-2017

*Tables in MAIN FILE
*Table 1 (All Partisans)
*Note: "scienceagree" was recoded from our original 3-point "disagreement measure" on the survey questionnaire so that 1/1 = 1 and 2/3 = 0
*model 1
logit scienceagree inform politi warning correction if pidrep ~= 4
*model 2 
regress ccexphuman inform politi warning correction if pidrep ~= 4
*model 3
regress ccexphuman inform politi warning correction scienceagree if pidrep ~= 4
*model 4
regress policy inform politi warning correction if pidrep ~= 4
*model 5
regress policy inform politi warning correction ccexphuman if pidrep ~= 4
 
***
*Table 2 (Low Knowledge Democrats)
*model 1
logit scienceagree inform politi warning correction if dem == 1 & knowdummy == 0
*model 2 
regress ccexphuman inform politi warning correction if dem == 1 & knowdummy == 0
*model 3
regress ccexphuman inform politi warning correction scienceagree if dem == 1 & knowdummy == 0
*model 4
regress policy inform politi warning correction if dem == 1 & knowdummy == 0
*model 5
regress policy inform politi warning correction ccexphuman if dem == 1 & knowdummy == 0

***
*Table 3 (Low Knowledge Republicans)
*model 1
logit scienceagree inform politi warning correction if rep == 1 & knowdummy == 0
*model 2 
regress ccexphuman inform politi warning correction if rep == 1 & knowdummy == 0
*model 3
regress ccexphuman inform politi warning correction scienceagree if rep == 1 & knowdummy == 0
*model 4
regress policy inform politi warning correction if rep == 1 & knowdummy == 0
*model 5
regress policy inform politi warning correction ccexphuman if rep == 1 & knowdummy == 0
***
*Table 4 (High Knowledge Democrats)
*model 1
logit scienceagree inform politi warning correction if dem == 1 & knowdummy == 1
*model 2 
regress ccexphuman inform politi warning correction if dem == 1 & knowdummy == 1
*model 3
regress ccexphuman inform politi warning correction scienceagree if dem == 1 & knowdummy == 1
*model 4
regress policy inform politi warning correction if dem == 1 & knowdummy == 1
*model 5
regress policy inform politi warning correction ccexphuman if dem == 1 & knowdummy == 1
***
*Table 5 (High Knowledge Republicans)
*model 1
logit scienceagree inform politi warning correction if rep == 1 & knowdummy == 1
*model 2 
regress ccexphuman inform politi warning correction if rep == 1 & knowdummy == 1
*model 3
regress ccexphuman inform politi warning correction scienceagree if rep == 1 & knowdummy == 1
*model 4
regress policy inform politi warning correction if rep == 1 & knowdummy == 1
*model 5
regress policy inform politi warning correction ccexphuman if rep == 1 & knowdummy == 1

*******************************************************************************************************************
**Tables in APPENDIX
*Note: created "minority" variable from the original "race" measure; recoded "minority" so that 1/1 = 0 2/6 = 1

*Table A1. (All Partisans with Controls)
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if pidrep ~= 4
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if pidrep ~= 4
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if pidrep ~= 4 
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if pidrep ~= 4 
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if pidrep ~= 4 

*Table A2. (Low Knowledge Democrats with Controls)
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 0
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 0
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 0
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 0
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 0

*Table A3. (Low Knowledge Republicans with Controls)
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 0
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 0
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 0
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 0
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 0

**Table A4. (High Knowledge Democrats with Controls)
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 1
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 1
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 1
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 1
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 1

*Table A5. (High Knowledge Democrats with Controls)
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 1
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 1
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 1
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 1
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 1

*****
*Table A6 (Low Knowledge Dems w/ knowledge split at > 7 ; < 8)
*****knowdummy2 coded so that "allknow" 0/7=1 8/11=0
logit scienceagree inform politi warning correction if dem == 1 & knowdummy2 == 0
regress ccexphuman inform politi warning correction if dem == 1 & knowdummy2 == 0
regress ccexphuman inform politi warning correction scienceagree if dem == 1 & knowdummy2 == 0
regress policy inform politi warning correction if dem == 1 & knowdummy2 == 0
regress policy inform politi warning correction ccexphuman if dem == 1 & knowdummy2 == 0

*Table A7 (Low Knowledge Republicans w/ knowledge split at > 7 ; < 8)
logit scienceagree inform politi warning correction if rep == 1 & knowdummy2 == 0
regress ccexphuman inform politi warning correction if rep == 1 & knowdummy2 == 0
regress ccexphuman inform politi warning correction scienceagree if rep == 1 & knowdummy2 == 0
regress policy inform politi warning correction if rep == 1 & knowdummy2 == 0
regress policy inform politi warning correction ccexphuman if rep == 1 & knowdummy2 == 0

*Table A8 (High Knowledge Dems w/ knowledge split at > 7 ; < 8)
logit scienceagree inform politi warning correction if dem == 1 & knowdummy2 == 1
regress ccexphuman inform politi warning correction if dem == 1 & knowdummy2 == 1
regress ccexphuman inform politi warning correction scienceagree if dem == 1 & knowdummy2 == 1
regress policy inform politi warning correction if dem == 1 & knowdummy2 == 1
regress policy inform politi warning correction ccexphuman if dem == 1 & knowdummy2 == 1

*Table A9 (High Knowledge Republicans w/ knowledge split at > 7 ; < 8)
logit scienceagree inform politi warning correction if rep == 1 & knowdummy2 == 1
regress ccexphuman inform politi warning correction if rep == 1 & knowdummy2 == 1
regress ccexphuman inform politi warning correction scienceagree if rep == 1 & knowdummy2 == 1
regress policy inform politi warning correction if rep == 1 & knowdummy2 == 1
regress policy inform politi warning correction ccexphuman if rep == 1 & knowdummy2 == 1

*Table A10 (Low Knowledge Dems w/ knowledge split at > 7 ; < 8 WITH CONTROLS)
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy2 == 0
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy2 == 0
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if dem == 1 & knowdummy2 == 0
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy2 == 0
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if dem == 1 & knowdummy2 == 0

*Table A11 (Low Knowledge Republicans w/ knowledge split at > 7 ; < 8 WITH CONTROLS)
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy2 == 0
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy2 == 0
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if rep == 1 & knowdummy2 == 0
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy2 == 0
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if rep == 1 & knowdummy2 == 0

*Table A12 (High Knowledge Dems w/ knowledge split at > 7 ; < 8 WITH CONTROLS)
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy2 == 1
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy2 == 1
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if dem == 1 & knowdummy2 == 1
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy2 == 1
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if dem == 1 & knowdummy2 == 1

*Table A13 (High Knowledge Republicans w/ knowledge split at > 7 ; < 8 WITH CONTROLS)
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy2 == 1
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy2 == 1
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if rep == 1 & knowdummy2 == 1
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy2 == 1
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if rep == 1 & knowdummy2 == 1

*Table A14. Message Effects on Low (Political) Knowledge Democrats (using only the political knowledge variables for the knowledge split)
****with Pknow as suggested by R1
*gen Pknow = (partymorecons + cveto + cmajhouse + cconstitu + csecstate)
logit scienceagree inform politi warning correction if dem == 1 & Pknow < 4
regress ccexphuman inform politi warning correction if dem == 1 & Pknow < 4
regress ccexphuman inform politi warning correction scienceagree if dem == 1 & Pknow < 4
regress policy inform politi warning correction if dem == 1 & Pknow < 4
regress policy inform politi warning correction ccexphuman if dem == 1 & Pknow < 4

*Table A15. Message Effects on Low (Political) Knowledge Republicans (using only the political knowledge variables for a median split)
logit scienceagree inform politi warning correction if rep == 1 & Pknow < 4
regress ccexphuman inform politi warning correction if rep == 1 & Pknow < 4
regress ccexphuman inform politi warning correction scienceagree if rep == 1 & Pknow < 4
regress policy inform politi warning correction if rep == 1 & Pknow < 4
regress policy inform politi warning correction ccexphuman if rep == 1 & Pknow < 4

*Table A16. Message Effects on High (Political) Knowledge Democrats (using only the political knowledge variables for a median split)
logit scienceagree inform politi warning correction if dem == 1 & Pknow > 3
regress ccexphuman inform politi warning correction if dem == 1 & Pknow > 3
regress ccexphuman inform politi warning correction scienceagree if dem == 1 & Pknow > 3
regress policy inform politi warning correction if dem == 1 & Pknow > 3
regress policy inform politi warning correction ccexphuman if dem == 1 & Pknow > 3

*Table A17. Message Effects on High (Political) Knowledge Republicans (using only the political knowledge variables for a median split)
logit scienceagree inform politi warning correction if rep == 1 & Pknow > 3
regress ccexphuman inform politi warning correction if rep == 1 & Pknow > 3
regress ccexphuman inform politi warning correction scienceagree if rep == 1 & Pknow > 3
regress policy inform politi warning correction if rep == 1 & Pknow > 3
regress policy inform politi warning correction ccexphuman if rep == 1 & Pknow > 3

*Table A18. Message Effects on Confidence in Science
regress ccexpsciconfdnce inform politi warning correction if pidrep ~= 4
regress ccexpsciconfdnce inform politi warning correction if dem == 1 & knowdummy == 0
regress ccexpsciconfdnce inform politi warning correction if rep == 1 & knowdummy == 0
regress ccexpsciconfdnce inform politi warning correction if dem == 1 & knowdummy == 1
regress ccexpsciconfdnce inform politi warning correction if rep == 1 & knowdummy == 1

*Table A19. Message Effects on Confidence in Science with Controls
regress ccexpsciconfdnce inform politi warning correction agerange female income minority education sciovercome econenv if pidrep ~= 4
regress ccexpsciconfdnce inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 0
regress ccexpsciconfdnce inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 0
regress ccexpsciconfdnce inform politi warning correction agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 1
regress ccexpsciconfdnce inform politi warning correction agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 1

*Table A20. Message Effects on Policy Beliefs (All Partisans)
regress policy inform politi warning correction scienceagree if pidrep ~= 4
regress policy inform politi warning correction scienceagree ccexphuman if pidrep ~= 4

*Table A21. Message Effects on Policy Beliefs (Low Knowledge Democrats)
regress policy inform politi warning correction scienceagree if dem == 1 & knowdummy == 0
regress policy inform politi warning correction scienceagree ccexphuman if dem == 1 & knowdummy == 0

*Table A22. Message Effects on Policy Beliefs (Low Knowledge Republicans)
regress policy inform politi warning correction scienceagree if rep == 1 & knowdummy == 0
regress policy inform politi warning correction scienceagree ccexphuman if rep == 1 & knowdummy == 0

*Table A23. Message Effects on Policy Beliefs (High Knowledge Democrats)
regress policy inform politi warning correction scienceagree if dem == 1 & knowdummy == 1
regress policy inform politi warning correction scienceagree ccexphuman if dem == 1 & knowdummy == 1

*Table A24. Message Effects on Policy Beliefs (High Knowledge Republicans)
regress policy inform politi warning correction scienceagree if rep == 1 & knowdummy == 1
regress policy inform politi warning correction scienceagree ccexphuman if rep == 1 & knowdummy == 1

*Table A25. Message Effects on Policy Beliefs with Controls (All Partisans)
regress policy inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if pidrep ~= 4
regress policy inform politi warning correction scienceagree ccexphuman agerange female income minority education sciovercome econenv if pidrep ~= 4

*Table A26. Message Effects on Policy Beliefs with Controls (Low Knowledge Democrats)
regress policy inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 0
regress policy inform politi warning correction scienceagree ccexphuman agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 0

*Table A27. Message Effects on Policy Beliefs with Controls (Low Knowledge Republicans)
regress policy inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 0
regress policy inform politi warning correction scienceagree ccexphuman agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 0

*Table A28. Message Effects on Policy Beliefs with Controls (High Knowledge Democrats)
regress policy inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 1
regress policy inform politi warning correction scienceagree ccexphuman agerange female income minority education sciovercome econenv if dem == 1 & knowdummy == 1

*Table A29. Message Effects on Policy Beliefs with Controls (High Knowledge Republicans)
regress policy inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 1
regress policy inform politi warning correction scienceagree ccexphuman agerange female income minority education sciovercome econenv if rep == 1 & knowdummy == 1

*Table A30. Message Effects on Independents
logit scienceagree inform politi warning correction if pidrep == 4
regress ccexphuman inform politi warning correction if pidrep == 4
regress ccexphuman inform politi warning correction scienceagree if pidrep == 4
regress policy inform politi warning correction if pidrep == 4
regress policy inform politi warning correction ccexphuman if pidrep == 4

*Table A31. Message Effects on Low Knowledge Independents
logit scienceagree inform politi warning correction if pidrep == 4  & knowdummy == 0
regress ccexphuman inform politi warning correction if pidrep == 4  & knowdummy == 0
regress ccexphuman inform politi warning correction scienceagree if pidrep == 4  & knowdummy == 0
regress policy inform politi warning correction if pidrep == 4 & knowdummy == 0
regress policy inform politi warning correction ccexphuman if pidrep == 4 & knowdummy == 0

*Table A32. Message Effects on High Knowledge Independents
logit scienceagree inform politi warning correction if pidrep == 4  & knowdummy == 1
regress ccexphuman inform politi warning correction if pidrep == 4  & knowdummy == 1
regress ccexphuman inform politi warning correction scienceagree if pidrep == 4  & knowdummy == 1
regress policy inform politi warning correction if pidrep == 4 & knowdummy == 1
regress policy inform politi warning correction ccexphuman if pidrep == 4 & knowdummy == 1

*Table A33. Message Effects on Independents w/ Controls
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if pidrep == 4
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if pidrep == 4
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if pidrep == 4
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if pidrep == 4
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if pidrep == 4

*Table A34. Message Effects on Low Knowledge Independents w/ Controls
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if pidrep == 4  & knowdummy == 0
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if pidrep == 4  & knowdummy == 0
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if pidrep == 4  & knowdummy == 0
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if pidrep == 4 & knowdummy == 0
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if pidrep == 4 & knowdummy == 0

*Table A35. Message Effects on High Knowledge Independents w/ Controls
logit scienceagree inform politi warning correction agerange female income minority education sciovercome econenv if pidrep == 4  & knowdummy == 1
regress ccexphuman inform politi warning correction agerange female income minority education sciovercome econenv if pidrep == 4  & knowdummy == 1
regress ccexphuman inform politi warning correction scienceagree agerange female income minority education sciovercome econenv if pidrep == 4  & knowdummy == 1
regress policy inform politi warning correction agerange female income minority education sciovercome econenv if pidrep == 4 & knowdummy == 1
regress policy inform politi warning correction ccexphuman agerange female income minority education sciovercome econenv if pidrep == 4 & knowdummy == 1


























